Uploaded image for project: 'Jackrabbit Content Repository'
  1. Jackrabbit Content Repository
  2. JCR-2406

Upgrade httpclient dependency to 4.x

    XMLWordPrintableJSON

Details

    Description

      Httpclient is one of these libs that tends to be pulled by another third party lib and often with conflicted versions (in a traditional environment contrary to OSGi).
      Upgrading from 3.0 to 4.0 allows applications to use both Jackrabbit and the latest release of HttpClient.

      As discussed in JCR-2389, this is a sensitive task as it can introduce regression.

      Attachments

        Issue Links

          Activity

            People

              reschke Julian Reschke
              yabon S├ębastien Launay
              Votes:
              3 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: